Package edu.wisc.game.pseudo

## Class Pseudo

- java.lang.Object
- - edu.wisc.game.pseudo.Pseudo

-     public class Pseudo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `confidence` | This value, set by each proposeMove() call, contains the probability of that call returning a good move.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Pseudo​(PlayerInfo _p, EpisodeInfo _epi, int _expectedAttemptCnt)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addTask​(PlayerInfo botPlayer, EpisodeInfo epi, int expectedAttemptCnt)` |
    `static int` | `checkTasks()` | This should be run periodically from the maintenance thread
    `static PlayerInfo` | `mkBot​(PlayerInfo p)` | Creates a bot player.
    `Episode.Move` | `proposeMove()` | Pseudo-randomly proposes a move, without actually executing it
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### confidence

          public double confidence

      This value, set by each proposeMove() call, contains the probability of that call returning a good move.

  - ### Constructor Detail

    - #### Pseudo

          public Pseudo​(PlayerInfo _p,
                        EpisodeInfo _epi,
                        int _expectedAttemptCnt)

  - ### Method Detail

    - #### mkBot

          public static PlayerInfo mkBot​(PlayerInfo p)

      Creates a bot player. Modeled, to some extent on PlayerResponse.
      Parameters:
        `p` - The live partner with whom this bot will eventually play

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addTask

          public static void addTask​(PlayerInfo botPlayer,
                                     EpisodeInfo epi,
                                     int expectedAttemptCnt)

    - #### proposeMove

          public Episode.Move proposeMove()
                                   throws IOException

      Pseudo-randomly proposes a move, without actually executing it
      Throws:
        `IOException`

    - #### checkTasks

          public static int checkTasks()

      This should be run periodically from the maintenance thread